%global dlrn_nvr 18.6.1-17.1.20230805104023.cb0adcb
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-keystone
Version: 18.6.1
Release: 17.1.20230805104024.cb0adcb%{?dist}
Summary:        Puppet module for OpenStack Keystone
License:        ASL 2.0

URL:            https://launchpad.net/puppet-keystone

Source0: 18.6.1-17.1.20230805104023.cb0adcb.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=cb0adcba269d167c14cbb7ccfa7bca43298dbc40

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Keystone

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-keystone-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/



%files
%{_datadir}/openstack-puppet/modules/keystone/


%changelog
* Sat Aug 05 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230805104023.cb0adcb
- Update patches
- Add support for [DEFAULT] notification_opt_out

* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230622043509.67ff287
- Update patches

* Fri Feb 17 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230218004339.67ff287
- Update patches
- OIDC: Make sure the dependent auth modules are loaded

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226010610.14b9265
- Update patches
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109014849.e979678
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108091000.e979678
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102015507.b75d914
- Update patches
- Prepare the final wallaby release

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220818143202.bbdbd7a
- Update patches
- Ensure key contents are hidden

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727145828.2606fdf
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220718105144.2606fdf
- Update patches
- Add support for MultiStrOpt

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220407022908.b632a78
- Update patches
- Ensure inet6: formatting for a comma-separated list string

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317190215.3ac6b05
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217235733.21904cf
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204005940.21904cf
- Update patches
- Prepare a new Wallaby release
- Use systemctl to restart the keystone service

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211125002940.817a87b
- Update patches
- OIDC: Add support for setting OIDCResponseMode
- Add oidc options

* Tue Sep 21 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20210922001840.64705cc
- Update patches
- Fix wrong key to look up domain parameters from puppet.conf

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210810233832.27eac25
- Update patches
- Replace deprecated is_string method

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210604004025.ae038d9
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210528161319.7afaa30
- Update patches
- TripleO: Reduce tempest test scope

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528071425.6f00c96
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- Clean up the deprecated parameters of keystone::ldap_backend

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Deprecate parameters for ldap project/role driver
- Bump requirement of puppetlabs-apache
- Add support for oslo_policy/enforce_new_defaults
- Fix a wrong service name in parameter description

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for healthcheck middleware options

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add TLS options to oslo.cache

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use yaml instead of json for policy file

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor unit tests for the keystone class

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow db sync timeouts to be configurable

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unset memcached_servers by default

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build containers for single consumer job

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the oslo_policy/enforce_scope parameter
- Add a new parameter to enable/disable bootstrap

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix keystone::bootstrap password comment

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add missing dependencies about keystone_puppet_config
- Deprecate database options from the keystone class
- Drop support for 'keystone-public-keystone-admin' service_name

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Puppet Litmus

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not validate database_connection format
- Use openstack_spec_helper from zuul checkout
- Fix python package names (ldappool and pysaml2)
- Add mysql_enable_ndb option

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix missing usage of openstack_integration::apache

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated bind, port and workers parameters
- Remove deprecated token_driver parameter
- Remove deprecated database_min_pool_size parameter

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated validate parameters from init

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated keystone cache parameters

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated keystone::service params

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for service_type in authtoken config
- Deprecate ineffective ignore_default_tenant parameter
- allow to specify drivername for postgres db
- Unset public_endpoint by default

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert more to rspec-puppet-facts

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Always pass --name when flushing keystone_service
- Change to relative includes

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use relative name for class inclusion

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for trust_flush cron job

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate keystone::cron::token_fush
- Remove deprecated bootstrap code

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure fernet keys are created before bootstrap

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated options for pki token

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0
- Deprecate $service_name = keystone-public-keystone-admin

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install the correct memcache bindings for py3

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update doc to reflect code

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq version in metadata
- Change rpsec to rspec

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove keystone::federation::mellon::trusted_dashboards

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken unit tests because of list in notification drivers

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Split out cache configuration to keystone::cache

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expect python3 client package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option
- Deprecate unused parameters

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update ldap-backend options

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use centos-8 standalone puppet parent
- Use centos-8 standalone puppet parent

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for JWKS based OAuth Token validation.

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- OIDC : Add support for setting OIDCClaimDelimiter

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix performance regression due to reduced number of keystone workers

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert to rspec-puppet-facts and cleanup docs/testing

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add keystone::bootstrap class

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Convert a define spec to rspec-puppet-facts"
- Convert a define spec to rspec-puppet-facts

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove writable ldap configs from examples and spec

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove keystone::service validation"
- Remove keystone::service validation

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New keystone::resource::authtoken::interface parameter

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

#(trown) empty commit to use:
# https://github.com/redhat-openstack/rdoinfo/commit/28ee76369bf9bd357a5e2409b588856513cbe83d
# This should be removed on the next commit to puppet-keystone-distgit



